.TH LNO HUM (rev3.7)
.ds ]W UC Berkeley
.SH NAME
lno \- line number, double line number, hemistich number 
.SH SYNOPSIS
.nf
\fBlno\fP  [ \fB+n  \-d  \-h  \-s\fIn\fR  \- ]  filename ...
+n : the beginning line number is n, not 1
\-d : double line number text with long lines
\-h : hemistich number text with split lines
\-sn: number and letter strophes of n lines
\-  : read standard input instead of files
.fi
.SH DESCRIPTION
\fILno\fP line numbers a text, starting at 1 (one) and going up.
If you are beginning in the middle of a text,
the initial line number can be specified after the + option.
.PP
With the \-d option, \fIlno\fP numbers a text with long (Germanic) lines,
which are generally labelled in editions as double lines.
It starts at 1 (one), or at the specified line number,
and goes up in increments of two at the end of each line.
.PP
With the \-h option, \fIlno\fP numbers a text with hemistichs, or half lines.
It starts at 1 (one), unless another beginning number is specified. 
The first line is labelled 1a, the second 1b,
the third 2a, the fourth 2b, and so forth.
.PP
The \-s option can be used to specify the number of lines in a strophe.
For example, \-s4 will produce 1a, 1b, 1c, 1d, 2a, and so on.
The \-h option is identical to the \-s2 argument.
.PP
With the \-d option, if you specify an even beginning number,
all the following double line numbers will be even.
With the \-h option, all line pairs have a number postfixed
with "a" and then "b", so if you want to begin with a "b",
put an empty line in your text, to be labelled "a".
.SH "SEE ALSO"
num(1)
.SH AUTHOR
Bill Tuthill
.SH BUGS
