.TH MAXWD HUM (rev3.7)
.ds ]W UC Berkeley
.SH NAME
maxwd \- locate, measure and print longest word (or line)
.SH SYNOPSIS
.nf
\fBmaxwd\fP  [ \fB\-l  \-d\fIF\fR  \- ]  filename ...
\-l: look for longest line instead of longest word
\-d: define punctuation set according to file F
\- : read standard input instead of files
.fi
.SH DESCRIPTION
\fIMaxwd\fP reads through a set of files,
or standard input if specified,
looking for the longest word.
After reading is finished, the filename and linenumber
of the longest word are printed,
with the length of that word.
On the next line, the longest word is printed verbatim.
.PP
With the \-l option, \fImaxwd\fP will look for the longest line,
and print its filename, linenumber, and length.
Similarly, the next line will contain the longest line, verbatim.
.PP
If several files are concatenated
and sent through a pipe to \fImaxwd\fP,
the filename will appear as "Stdin" and line numbering will
continue to increment across file boundaries.
.PP
\fIMaxwd\fP should be used before concording a text
with \fIkwic\fP or \fIkwal\fP,
in order to determine what keyword length you should specify.
If you are working with foreign languages, the \-d option
can be used to split words at the proper place;
the punctuation file is compatible with many other related programs.
.SH "SEE ALSO"
kwal(hum), kwic(hum)
.SH AUTHOR
Bill Tuthill
.SH BUGS
\fIMaxwd\fP will truncate words longer than 512 characters, and
\fIMaxwd \-l\fP will truncate lines longer than 1024 characters.
