.TH TOSEL HUM (rev3.7)
.ds ]W UC Berkeley
.SH NAME
tosel \- convert English for Selectric terminal
.SH SYNOPSIS
\fBtosel\fP  [ filename ... ]
.SH DESCRIPTION
\fITosel\fP is intended for use with the Anderson-Jacobson
terminal in the Humanities Computing Service.
It will convert Unix files to character strings
that print out properly when a regular 
typewriter ball is used in the AJ-841,
instead of the ebcdic ball normally used in the machine.
.PP
The \fItosel\fP program works much like the Unix utility \fIcat\fP.
That is to say, it can be used to print out one or more files,
or as a filter in a series of programs communicating by pipes.
It can be used before or after \fIpause\fP,
since it does nothing to Control-P.
.SH SEE ALSO
pause(hum), cat(1)
.SH AUTHOR
Bill Tuthill
.SH BUGS
The following characters, since they do not exist on a
standard typewriter ball, produce garbage output:
.nf
 <  >  |  \  ^
.fi
The circumflex character produces a blank space.  These 
five characters are not rendered accurately:
.nf
 [  {  ]  }  `
.fi
They produce, in order, these five similar characters:
.nf
 (  (  )  )  '
.fi
Of course, various IBM balls will differ,
and will cause further program bugs.
The \fItosel\fP program was written for
the IBM "Pica 72" 10-pitch ball, but will probably work 
perfectly for any ball that has the characters `!' and `1',
and 1/2 and 1/4.
