.TH TPREP HUM (rev3.7)
.ds ]W UC Berkeley
.SH NAME
tprep \- prepare text for concordance (trim, pad, or unpad)
.SH SYNOPSIS
.nf
\fBtprep\fP  [ \fB\-y  \-tpu\fP ]  filename ...
\-y: say yes and suppress interactive prompting
\-t: trim lines, removing trailing blanks and tabs
\-p: pad, inserting blank at beginning of each line
\-u: unpad, deleting blank at beginning of each line
.fi
.SH DESCRIPTION
\fITprep\fP is a semi-interactive text editor
with specific application to preparing text for concordances.
It is much faster than \fIsed\fP,
and will work on far larger files than \fIex\fP or \fIed\fP.
It provides limited facilities:
trimming of trailing blanks or tabs, and padding and unpadding.
.PP
When typing in a text, it is practically impossible to avoid
accidental spaces at the end of lines.
These spurious blanks throw off the results of character counting,
and are unsightly in a \fIkwic\fP-style concordance.
Also, before compiling a \fIkwic\fP concordance,
you may want to pad each line with a blank,
so that the slash indicating newline
is not followed too closely by the next word.
After finishing the concordance, the padding can be removed,
using the unpad option.
.PP
If you do not specify any options in the command line,
you are prompted to make sure you want to rewrite your files.
Then you are asked whether you want to use trim, pad or unpad.
You can answer either with the full word,
or with the first letter of these three words.
\fITprep\fP also tells what files it is rewriting,
and reports on the scope of the changes involved for each file.
.SH FILES
\fITprep\fP makes changes to a file, and writes the results to
/tmp/Prep?????; this file is then copied back on top of
the original file.
.SH "SEE ALSO"
kwic(hum), ex(1), sed(1)
.SH AUTHOR
Bill Tuthill
.SH BUGS
It is impossible to stop rewriting files once begun,
because interrupts have been disabled,
since vital information could otherwise be lost forever.
Interrupts should probably halt the process after the next overwrite.
