.TH XREF HUM (rev3.7)
.ds ]W UC Berkeley
.SH NAME
xref \- cross reference generator
.SH SYNOPSIS
.nf
\fBxref\fP  [ \fB\-r \-l\fIn\fP \-p\fIn\fP \-i\fIc\fP \-d\fIF\|\fR \- ]  filename ...
\-r : reset linenumber to 1 at beginning of every file
\-ln: line numbering begins with line n (instead of 1)
\-pn: page numbering begins with page n (instead of 1)
\-ic: page incrementer is character c (defaults to =)
\-wn: width of output page is n (defaults to 80)
\-d : define punctuation set according to file F
\-  : read text from standard input (terminal or pipe)
.fi
.SH DESCRIPTION
\fIXref\fP is a cross reference generator
that lists all distinct words in a text,
with the line number (or page number) where they appear.
Its output constitutes a simple word index,
without the labels or context quoting provided by \fIkwic\fP or \fIkwal\fP.
If you want your concordance to give merely the location 
of certain common words, without any context,
you may want to use selected output of \fIxref\fP.
.PP
If you are cross referencing a number of short texts,
you can reset the linenumber to 1 with the \-r option.
Line number and page number can be set with the \-l and \-p options.
The default pagination character is the equals sign;
if you have another page indicator, it can be set with the \-i option.
In case your text has equals signs that do not indicate a new page,
you could use the \-i option without a character afterwards,
and page labelling will not occur.
.PP
\fIXref\fP will also read a user-definable punctuation set
from the file specified after the \-d option.
It can also read from standard input.
Most importantly, the output width can be set with the \-w option.
For example, to send a cross reference index to the lineprinter,
a \-w130 is recommended.
The default page width is 80,
which is appropriate for a CRT terminal or for regular paper.
.SH FILES
A text is broken into words labelled by line number or page number,
and then sent to a tempfile, /tmp/RefXXXXX,
where the results are sorted before final formatting.
This file is removed in case of interrupt.
.SH "SEE ALSO"
kwal(hum), kwic(hum)
.SH AUTHOR
Bill Tuthill
.SH BUGS
In the tempfile, words are separated
from line numbers (or page numbers) by a control-b,
so if you have this character anywhere in your text,
you will get strange results.
